This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 239954 - Review Request: ruby-ncurses - A module for ruby applications for using ncurses interfaces
Review Request: ruby-ncurses - A module for ruby applications for using ncurs...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 07:55 EDT by Šimon Lukašík
Modified: 2013-06-13 01:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 01:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kchamart: fedora‑cvs+


Attachments (Terms of Use)
mock build log of ruby-ncurses-1.1-4 on FC-devel i386 (36.50 KB, text/plain)
2007-05-14 18:59 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Šimon Lukašík 2007-05-13 07:55:43 EDT
Spec URL: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
SRPM URL: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-1.src.rpm
Description: 
This ruby extension makes most functions, constants, and external variables 
of the C library ncurses accessible from the Ruby programming language.
----
This is my first package and i am newbie. So i need sponsor...
There is some about this package http://www.rootshell.be/~isimluk/fedora.htm .
Thanks a lot for any hint.
Comment 1 Mamoru TASAKA 2007-05-13 08:36:22 EDT
Well, I am in the sponsor members, however now I am
currently reviewing about 15 review requests so
I may not be able to review this soon if you want me
to review this.

However, as I have several ruby module related
packages, I suggest you to see some of my ruby
related packages for example. They are:

bug 236491, bug 236492, bug 237379, bug 237380, bug 237381

Also please check:
http://fedoraproject.org/wiki/Packaging/Ruby
Comment 2 Mamoru TASAKA 2007-05-13 08:42:11 EDT
And also check for general packaging points:
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Comment 3 Mamoru TASAKA 2007-05-13 08:59:16 EDT
One more comment:
----------------------------------------------------
[isimluk@bw rpm]$ rpmlint RPMS/i386/ncurses-ruby-1.1-1.i386.rpm
W: ncurses-ruby unstripped-binary-or-object
/usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so

I've googled, but result is that it should be striped automaticaly. :( Thx for
help. 
----------------------------------------------------

Have binary stripped by rpmbuild requires that the binary
should have executable permission. Check if this binary
(ncurses_bin.so) has 0755 permission correctly (if not,
please change the permission in the spec file properly)
Comment 4 Šimon Lukašík 2007-05-13 10:24:06 EDT
Thanks, I've followed the path and I've uploaded new spec and source rpm. 
I'm not sure if i should increase %release number, but think not.
---
ncurses_bin.co had 0755 permission, so warning stays.
[rpmbuild@bw ~]$ ls -la /usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so
-rwxr-xr-x 1 root root 296835 kvě 13 15:47
/usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so
Comment 5 Mamoru TASAKA 2007-05-13 10:26:48 EDT
Well,

http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
----------------------------------------------------
Increase the "Release" tag every time you upload a new package to avoid
confusion. The reviewer and other interested parties probably still have older
versions of your SRPM lying around to check what has changed between the old and
new packages; those get confused when the revision didn't change.
----------------------------------------------------
Comment 6 Mamoru TASAKA 2007-05-13 10:28:22 EDT
And please write in the %changelog what you changed
briefly.
Comment 7 Šimon Lukašík 2007-05-13 11:46:14 EDT
Ok, I've backup...
SPEC-2: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
SRPM-1: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-1.src.rpm
SRPM-2: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-2.src.rpm

I've tried striped ncurses_bin.so explicitly, but it has no result.

Thanks for patience with me... 
Comment 8 Mamoru TASAKA 2007-05-13 12:30:50 EDT
Well, for 1.1-2:

* parallel make and fedora specific compilation flags
  - Supporting parallel make is needed when possible
    (please check: the section "Parallel make" of:
     http://fedoraproject.org/wiki/Packaging/Guidelines )
  - For ruby, fedora specific compilation flags seems to
    be used automatically, however IMO using these flags
    explicitly is recommended.

   Because of the reasons above, please use for make line:
-----------------------------------------------------
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fPIC"
-----------------------------------------------------

* Timestamp
  - For files which are not built or modified during
    rebuild, keeping timestamps on those files is recommended.
    To keep timestamp, the following method works for this
    package.
------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
------------------------------------------------------

* debuginfo permission
  - The created debuginfo rpms bears the following rpmlint:
-------------------------------------------------------
W: ruby-ncurses-debuginfo spurious-executable-perm
/usr/src/debug/ncurses-ruby-1.1/ncurses_wrap.c
--------------------------------------------------------
    This means that the permission of this file (ncursrs_wrap.c)
    is incorrect. Fix the permission of this file to
    0644 (i.e. add the following to %prep stage:)
--------------------------------------------------------
chmod 0644 ncurses_wrap.c
---------------------------------------------------------

* License
  - License text and the source files actually say that
    this is licensed under LGPL, not GPL
    
* Documentation
  - Please add "THANKS" to %doc
  - Please consider examples/ directory to %doc (in that
    case, you have to change the permission of all files
    under examples/ directory to 0644).
Comment 9 Mamoru TASAKA 2007-05-13 12:34:32 EDT
(In reply to comment #7)
> I've tried striped ncurses_bin.so explicitly, but it has no result.

This seems to be fixed??
Comment 10 Šimon Lukašík 2007-05-13 16:09:55 EDT
I've uploaded new version (corrected by comment #8):
SPEC: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
SRPM: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-3.src.rpm

But ncurses_bin.so is still not striped. 

Now, I keep reading wiki... Thanks a lot for ^ these posts.
Comment 11 Mamoru TASAKA 2007-05-14 10:24:12 EDT
(In reply to comment #10)
> I've uploaded new version (corrected by comment #8):
> SPEC: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
> SRPM: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-3.src.rpm
>
> But ncurses_bin.so is still not striped. 

I don't understand what problem you are still seeing now. 
For me this binary is stripped *at last* and rpmlint don't
complain about stripping.

Actually ncurses_bin.so must _NOT_ be stripped
at %install stage. When ncurses_bin.so *has 0755 permission correctly*, 
/usr/lib/rpm/find-debuginfo.sh and /usr/lib/rpm/redhat/brp-compress 
should automatically strip the binary and create debuginfo rpm.
So "%install -s" should be %install.

Comment 12 Šimon Lukašík 2007-05-14 14:42:39 EDT
Thaks; I've uploaded 1.1-4
SPEC: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
SRPM: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-4.src.rpm
-------------------------------------------------------------------------------
There is also not signed temporally RPM for demonstrate this:
http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-4.i386.rpm
----
>> rpmlint -i ruby-ncurses-1.1-4.i386.rpm 
W: ruby-ncurses unstripped-binary-or-object
/usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so
-------------------------------------------------------------------------------
*  Mon May 14 2007 Simon Lukasik <lukasim@atlas.cz> - 1.1-4
	- Rewrite "install -s" to "install"
Comment 13 Mamoru TASAKA 2007-05-14 15:12:10 EDT
(In reply to comment #12)
> >> rpmlint -i ruby-ncurses-1.1-4.i386.rpm 
> W: ruby-ncurses unstripped-binary-or-object
> /usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so

Not reproducible for me (i.e. when I rebuilt from
srpm, binary is actually stripped at last).

Would you attach your full log when you rebuild your
srpm?
Comment 14 Šimon Lukašík 2007-05-14 16:44:02 EDT
Sure, there is log:

http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-4.rebuild.log

In ~/.rmpmacros nothing smells.
Comment 15 Mamoru TASAKA 2007-05-14 18:59:32 EDT
Created attachment 154695 [details]
mock build log of ruby-ncurses-1.1-4 on FC-devel i386

Umm...

I attached the rebuild log done by mock on FC-devel i386
(mock is in Extras).
Here you can see the line:
---------------------------------------------
+ /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/ncurses-ruby-1.1
extracting debug info from
/var/tmp/ruby-ncurses-1.1-4.fc7-root-mockbuild/usr/lib/ruby/site_ruby/1.8/i386-linux/ncurses_bin.so

318 blocks
----------------------------------------------
Perhaps you disabled to create debuginfo rpm somewhere.
Please enable to create debuginfo rpm and retry.
Comment 16 Šimon Lukašík 2007-05-15 13:26:50 EDT
Well, I've also made mock rebuild... without problems. There is log:
http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-4.mock.log
ncurses_bin.so has been striped (in mock).


But I can't find where I disabled creating debuginfo. I use fc6, because of my
internet connection (and near new release of Fedora) I have no updates. Maybe
it's the point. I am looking forward to fc7.
Comment 17 Mamoru TASAKA 2007-05-16 08:57:36 EDT
Well, 1.1-4 spec/srpm itself is okay.

(In reply to comment #16)
> But I can't find where I disabled creating debuginfo. 
Please "attach" the result of
-----------------------------------------------------------------
$ for f in `rpm --showrc | sed -n -e 's|^macrofiles[ \t][ \t]*: ||p' | sed -e
's|:| |'` ; do if [ -f $f ] ; then echo "$f::" ; grep debug $f ; echo ; fi ; done
-----------------------------------------------------------------
(This is one line)


Well,
-----------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 18 Šimon Lukašík 2007-05-16 14:25:35 EDT
>Please "attach" the result of
>-----------------------------------------------------------------
>$ for f in `rpm --showrc | sed -n -e 's|^macrofiles[ \t][ \t]*: ||p' | sed -e 
's|:| |'` ; do if [ -f $f ] ; then echo "$f::" ; grep debug $f ; echo ; fi ; done
>-----------------------------------------------------------------

So here is, but there is nothing like "%debug_package %{nil}" or so on
------------------------------------------------------------------
/usr/lib/rpm/macros::
#       Path to script that creates debug symbols in a /usr/lib/debug
%__debug_install_post   \
   /usr/lib/rpm/find-debuginfo.sh %{_builddir}/%{?buildsubdir}\
#       Template for debug information sub-package.
%debug_package \
%global __debug_package 1\
%package debug\
%description debug\
This package provides debug information for package %{name}.\
package or when debugging this package.\
%files debug -f debugfiles.list\
#       glibc-debug>glibc-devel
%{?__debug_package:%{__debug_install_post}}\

-----------------------------------------------------------------
>When you have submitted a new review request or have pre-reviewed other 
>person's review request, please write the bug number on this bug report 
>so that I can check your comments or review request.

It may takes some time... But I'll work on it.
-----------------------------------------------------------------
Otherwise thank you for this info, it is really useful...
Comment 19 Šimon Lukašík 2007-05-18 13:35:17 EDT
>When you have submitted a new review request or have pre-reviewed other 
>person's review request, please write the bug number on this bug report 
>so that I can check your comments or review request.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240324

Hello, I've tried to post comment review package, but it's monotonous, i can't
find any problem. 

So I still continue (it may also take while)
Comment 20 Šimon Lukašík 2007-05-18 13:40:56 EDT
>Hello, I've tried to post comment review package, 

I am sorry; it makes no sense. It should be:

I've tried to post comment to review package process, 

(^ I believe it's better)
Comment 21 Mamoru TASAKA 2007-05-18 14:28:43 EDT
Well,

* For ruby-ncurses itself:
  - For commands, please choose to use either command name or
    macros for consistency.
    For example, current spec file uses both "chmod" and "%{__chmod}".
    And where "make" is written directly, "%{__rm}" is used
    with macro...

    If you want to use macros as possible (for commands), please
    change "make" to "%{__make}", "chmod" to "%{__chmod}",
    and INSTALL="install -p" to INSTALL="%{__install} -p".

    (Of course make %{__install} is wrong)

* For review
  - Well, the review request you chose seems easy, but I will trust
    you. Okay!!

------------------------------------------------------
   This package (ruby-ncurses) is APPROVED by me
-------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". 

At a stage, you will submit a request which tells sponsor
members that  you need a sponsor. After you do so, please let me know
on this bug for confirmation. Then I will sponsor you.

Note: now Fedora 8 branch is created, the valid branches
on http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
is:
FC-5, FC-6, F7 and devel.

If you have some questions, please let me know.
Comment 22 Šimon Lukašík 2007-05-19 16:59:14 EDT
Hello,

>  - For commands, please choose to use either command name or
>    macros for consistency.

Ok, I've chosen macros, but If there isn't(ruby, find) can I define it? Like:
------------------------------------------
#defined simillary as __perl
%define __ruby /usr/bin/ruby
# (...)
%{__ruby} extconf.rb

# I haven't done it (for the present)
------------------------------------------
Release 1.1-5 uploaded:
SPEC: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses.spec
SRPM: http://www.rootshell.be/~isimluk/fedora/ruby-ncurses-1.1-5.src.rpm

*  Sat May 19 2007 Simon Lukasik <lukasim@atlas.cz> - 1.1-5
        - Rewrite: rest of commands to macros
------------------------------------------
>   This package (ruby-ncurses) is APPROVED by me

Thanks.
------------------------------------------
>  - Well, the review request you chose seems easy,

Yes, I know, I think I should increase level gradually not by one step...
------------------------------------------
>After you do so, please let me know on this bug for confirmation.
My fedora username is "isimluk".
Comment 23 Šimon Lukašík 2007-05-20 08:55:17 EDT
New Package CVS Request
=======================
Package Name: ruby-ncurses
Short Description: A module for ruby applications for using ncurses interfaces
Owners: lukasim@atlas.cz
Branches: FC-5 FC-6 F7
InitialCC:
Comment 24 Mamoru TASAKA 2007-05-20 09:18:28 EDT
(In reply to comment #22)
> Ok, I've chosen macros, but If there isn't(ruby, find) can I define it? Like:
> ------------------------------------------
> #defined simillary as __perl
> %define __ruby /usr/bin/ruby
> # (...)
> %{__ruby} extconf.rb
> 
> # I haven't done it (for the present)

You don't need to define %__ruby, just using raw "ruby" is enough.
Comment 25 Šimon Lukašík 2007-05-20 15:46:08 EDT
New Package CVS Request
=======================
Package Name: ruby-ncurses
Short Description: A module for ruby applications for using ncurses interfaces
Owners: lukasim@atlas.cz
Branches: FC-5 FC-6 F-7
InitialCC:
Comment 26 Šimon Lukašík 2007-05-21 16:46:28 EDT
I've build package for F-7 and devel branches. Others will be added as soon as
possible. Closing as NEXTRELEASE...

Once more Thanks. :)

PS: Build itself is magic...
Comment 27 Fedora Update System 2007-11-09 18:58:00 EST
ruby-ncurses-1.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby-ncurses'
Comment 28 Kashyap Chamarthy 2013-06-13 00:55:47 EDT
Package Change Request
======================
Package Name: ruby-ncurses
New Branches: el6
Owners: isimluk
	


tpp has broken dependencies in the epel-6 tree:
================
On x86_64:
	tpp-1.3.1-9.el6.noarch requires vim-filesystem
	tpp-1.3.1-9.el6.noarch requires ruby-ncurses
On i386:
	tpp-1.3.1-9.el6.noarch requires vim-filesystem
	tpp-1.3.1-9.el6.noarch requires ruby-ncurses
On ppc64:
	tpp-1.3.1-9.el6.noarch requires vim-filesystem
	tpp-1.3.1-9.el6.noarch requires ruby-ncurses
Please resolve this as soon as possible.
================

I can't find EPEL branch for ruby-ncurses, can I request here? (I was told package change request should go in original package review bug).
Comment 29 Kashyap Chamarthy 2013-06-13 01:28:19 EDT
Oops!

I just read this: (please use the existing review ticket for requests, even though it may well be CLOSED (please do not reopen it).

http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Closing the bug, and will file a new request. 

Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.